.container-V40c9xRz {
  position: relative;
  width: 100%;
  min-width: 0;
  overflow: auto;
}
.title-34aDs39w {
  margin-right: 4px;
  font-size: 14px;
  color: #242731;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
.title-34aDs39w.disabled-17IgfIYd,
html.theme-dark .title-34aDs39w {
  color: #b2b5be;
}
html.theme-dark .title-34aDs39w.disabled-17IgfIYd {
  color: #50535e;
}
.icon-2hTCJTIH {
  font-size: 0;
  margin-right: 4px;
}
.icon-2hTCJTIH.locked-20ljjQkW {
  color: #ef5350;
}
.icon-2hTCJTIH.open-19XeUlGJ {
  color: #26a69a;
}
.actionIcon-3jB28-_s {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  border-radius: 4px;
  min-width: 22px;
  width: 22px;
  height: 22px;
  font-size: 0;
  color: #787b86;
}
.actionIcon-3jB28-_s:active {
  color: #242731;
  background-color: #e0e3eb;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .actionIcon-3jB28-_s:hover {
    color: #242731;
    background-color: #e0e3eb;
  }
}
html.theme-dark .actionIcon-3jB28-_s:active {
  background-color: #363a45;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  html.theme-dark .actionIcon-3jB28-_s:hover {
    background-color: #363a45;
  }
}
html.theme-dark .actionIcon-3jB28-_s:active {
  color: #b2b5be;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  html.theme-dark .actionIcon-3jB28-_s:hover {
    color: #b2b5be;
  }
}
.actionIcon-3jB28-_s + .actionIcon-3jB28-_s {
  margin-right: 4px;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .actionIcon-3jB28-_s.selected-lKkvzAlt:hover {
    background-color: #90caf9;
  }
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  html.theme-dark .actionIcon-3jB28-_s.selected-lKkvzAlt:hover {
    background-color: #144987;
  }
}
@media screen and (max-height: 445px), screen and (max-width: 567px) {
  .codeIcon-1DtZ78WN {
    display: none;
  }
}
.highlighted-3Ob1jr_R,
html.theme-dark .highlighted-3Ob1jr_R {
  color: #1e88e5;
}
@keyframes highlight-animation-theme-light-1TIZ6Gga {
  0% {
    background-color: transparent;
  }
  30% {
    background-color: #e3f2fd;
  }
  60% {
    background-color: transparent;
  }
  to {
    background-color: #bbdefb;
  }
}
@keyframes highlight-animation-theme-dark-3xWPfm4R {
  0% {
    background-color: transparent;
  }
  30% {
    background-color: #132742;
  }
  60% {
    background-color: transparent;
  }
  to {
    background-color: #143661;
  }
}
.container-1e-eHKCj {
  display: flex;
  align-items: center;
  height: 32px;
  padding-right: 6px;
  padding-left: 16px;
  box-sizing: border-box;
}
.container-1e-eHKCj.selected-ObuRahJa {
  background-color: #bbdefb;
}
html.theme-dark .container-1e-eHKCj.selected-ObuRahJa {
  background-color: #143661;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .container-1e-eHKCj:not(.disabled-3lywlGlv):hover {
    background-color: #f0f3fa;
  }
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  html.theme-dark .container-1e-eHKCj:not(.disabled-3lywlGlv):hover {
    background-color: #2a2e39;
  }
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .container-1e-eHKCj:not(.disabled-3lywlGlv):hover .favorite-PSp_jkxl {
    visibility: visible;
  }
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .container-1e-eHKCj:not(.disabled-3lywlGlv):hover.selected-ObuRahJa {
    background-color: #bbdefb;
  }
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  html.theme-dark
    .container-1e-eHKCj:not(.disabled-3lywlGlv):hover.selected-ObuRahJa {
    background-color: #143661;
  }
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .container-1e-eHKCj:not(.disabled-3lywlGlv):hover.selected-ObuRahJa
    .favorite-PSp_jkxl:hover {
    background-color: #90caf9;
  }
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  html.theme-dark
    .container-1e-eHKCj:not(.disabled-3lywlGlv):hover.selected-ObuRahJa
    .favorite-PSp_jkxl:hover {
    background-color: #144987;
  }
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .container-1e-eHKCj:not(.disabled-3lywlGlv):hover .actions-29vlkAXU {
    visibility: visible;
  }
}
.container-1e-eHKCj.highlighted-3YDl6jC6 {
  animation-duration: 0.8s;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}
.container-1e-eHKCj.highlighted-3YDl6jC6.light-2HF6Zxxl {
  animation-name: highlight-animation-theme-light-1TIZ6Gga;
}
.container-1e-eHKCj.highlighted-3YDl6jC6.dark-1FO6oC-E {
  animation-name: highlight-animation-theme-dark-3xWPfm4R;
}
@media screen and (max-width: 419px) {
  .container-1e-eHKCj {
    height: 40px;
  }
}
.main-34wD0nIh {
  display: flex;
  flex: 1 1 auto;
  min-width: 0;
  margin-left: auto;
  align-items: center;
}
.main-34wD0nIh.paddingLeft-1urwbIqx {
  padding-right: 22px;
}
.favorite-PSp_jkxl {
  visibility: hidden;
}
.favorite-PSp_jkxl.isActive-2O3vI4me,
.favorite-PSp_jkxl.isMobile-2aXWDdT8 {
  visibility: visible;
}
.author-3sD2DZRV {
  flex-basis: 100px;
  min-width: 100px;
  color: #2196f3;
  margin-right: 24px;
  cursor: default;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
html.theme-dark .author-3sD2DZRV {
  color: #1976d2;
}
.likes-17ztM5mP {
  flex-basis: 50px;
  min-width: 50px;
  color: #242731;
  margin-right: 24px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
html.theme-dark .likes-17ztM5mP {
  color: #b2b5be;
}
.actions-29vlkAXU {
  display: flex;
  flex-basis: 44px;
  min-width: 44px;
  justify-content: flex-end;
  margin-right: 24px;
  visibility: hidden;
}
.actions-29vlkAXU.isMobile-2aXWDdT8 {
  visibility: visible;
}
.title-34kQlbrM {
  margin: 0;
  font-weight: 400;
  font-size: 11px;
  line-height: 16px;
  color: #787b86;
  letter-spacing: 0.4px;
  text-transform: uppercase;
  white-space: nowrap;
}
html.theme-dark .title-34kQlbrM {
  color: #787b86;
}
.title-34kQlbrM:first-child {
  margin-left: auto;
}
.title-34kQlbrM + .title-34kQlbrM {
  margin-right: 24px;
}
.title-34kQlbrM.small-vZQvMj9o {
  width: 50px;
}
.title-34kQlbrM.normal-2Xipsjws {
  width: 100px;
}
.title-34kQlbrM.large-3RKX3yN_ {
  width: 150px;
}
.container-2xksDfDy {
  display: flex;
  padding: 16px 32px 8px 84px;
  box-sizing: border-box;
}
.container-1nR_bX0y {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
}
.image-1upzSf_2 {
  margin-bottom: 8px;
}
.title-3EHABq-W {
  margin: 0 0 16px;
  font-size: 20px;
  font-weight: 700;
  color: #000;
}
html.theme-dark .title-3EHABq-W {
  color: #b2b5be;
}
.description-3sR4j2iN {
  margin: 0 0 24px;
  font-size: 16px;
  line-height: 24px;
  color: #000;
}
html.theme-dark .description-3sR4j2iN {
  color: #b2b5be;
}
.dialog-12W2lAaB {
  width: calc(100% - 20px);
  max-width: 840px;
  height: 600px;
}
.dialogLibrary-11wUWBuU {
  height: 600px;
}
.listContainer-313-x-WK::-webkit-scrollbar {
  width: 5px;
  height: 5px;
}
.listContainer-313-x-WK::-webkit-scrollbar-thumb {
  border: 1px solid;
  border-color: #f1f3f6;
  border-radius: 3px;
  background-color: #9598a1;
}
html.theme-dark .listContainer-313-x-WK::-webkit-scrollbar-thumb {
  background-color: #363a45;
  border-color: #1e222d;
}
.listContainer-313-x-WK::-webkit-scrollbar-track {
  background-color: transparent;
  border-radius: 3px;
}
.listContainer-313-x-WK::-webkit-scrollbar-corner {
  display: none;
}
.scroll-3Eu9HUkX::-webkit-scrollbar {
  width: 5px;
  height: 5px;
}
.scroll-3Eu9HUkX::-webkit-scrollbar-thumb {
  border: 1px solid;
  border-color: #f1f3f6;
  border-radius: 3px;
  background-color: #9598a1;
}
html.theme-dark .scroll-3Eu9HUkX::-webkit-scrollbar-thumb {
  background-color: #363a45;
  border-color: #1e222d;
}
.scroll-3Eu9HUkX::-webkit-scrollbar-track {
  background-color: transparent;
  border-radius: 3px;
}
.scroll-3Eu9HUkX::-webkit-scrollbar-corner {
  display: none;
}
@media screen and (max-width: 419px) {
  .scroll-3Eu9HUkX {
    box-sizing: border-box;
    padding-top: 6px;
    padding-bottom: 6px;
  }
}
.sidebarContainer-1lfmvpaZ {
  padding-top: 6px;
  padding-bottom: 6px;
}
.backButton-C9cNFJsB {
  display: flex;
  align-items: center;
  width: 28px;
  height: 100%;
  padding-left: 20px;
  color: #787b86;
}
.backButton-C9cNFJsB svg {
  transform: rotate(180deg);
}
.noContentBlock-Ly1pGn6p {
  min-height: 100%;
  padding: 24px 40px 60px;
  box-sizing: border-box;
}
